#include <qkeycode.h>
#include <qstring.h>

#include <kdebug.h>

#include "kparanoidline.h"

KParanoidLine::KParanoidLine(QWidget *parent, const char *name)
  : KLineEdit(parent, name)
{
}

KParanoidLine::~KParanoidLine()
{
}

void KParanoidLine::keyPressEvent(QKeyEvent *e)
{
	if (e->key() == Key_BackSpace)
		emit backspacePressed();

	emit textEntered(e->text());

	QLineEdit::keyPressEvent(e);
}

#include "kparanoidline.moc"
