#ifndef STACKLEVEL_H
#define STACKLEVEL_H

class QLineEdit;
class QPushButton;
class QWidget;

#include <qhbox.h>

class StackLevel : public QHBox
{
	Q_OBJECT

public:
	StackLevel(int, QWidget *parent=0, const char *name=0);
	virtual void setEnabled(bool enabled);
	QLineEdit *edit() { return m_edit; }
	QPushButton *button() { return m_button; }
	
signals:
	void buttonPressed(int);
	void returnPressed(int);

protected slots:
	void emitButton();
	void emitEdit();

private:
	QLineEdit *m_edit;
	QPushButton *m_button;
	int id;
};

#endif
